Bug 101604 - LTC3777-Crystal Audio was not detected, drivers not installed.
LTC3777-Crystal Audio was not detected, drivers not installed.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey Moyer
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-04 12:45 EDT by Bob Johnson
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-26 13:23:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Kelleher 2003-08-04 12:45:12 EDT
The following has be reported by IBM LTC:  
Crystal Audio was not detected, drivers not installed.

Hardware Environment:
IBM 300PL Model-6862-23B with S3 Trio video and Crystal Audio

Software Environment: RHEL 3 Beta 1

Steps to Reproduce:

1.Install RHEL 3 Beta 1 and sound card is not detected.

2.Booted to a rescue CD and ran Kudzu and sound card not detected.

3.Ran grapical UI for Soundcard detection and sound card is not found.

Actual Results: No Audio output for accessibility speech testing.

Expected Results: Sound
Comment 1 Bill Nottingham 2003-08-04 14:52:17 EDT
lspci output?
Comment 2 IBM Bug Proxy 2003-08-04 18:29:35 EDT
------ Additional Comments From snidersd@us.ibm.com  2003-04-08 17:19 -------
lspci -v output

00:00.0 Host bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX Host bridge (rev 
03)
	Flags: bus master, medium devsel, latency 32
	Memory at ec000000 (32-bit, prefetchable) [size=64M]
	Capabilities: [a0] AGP version 1.0

00:01.0 PCI bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX AGP bridge (rev 03) 
(prog-if 00 [Normal decode])
	Flags: bus master, 66Mhz, medium devsel, latency 64
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=64
	Memory behind bridge: f4000000-f7ffffff

00:02.0 ISA bridge: Intel Corp. 82371AB/EB/MB PIIX4 ISA (rev 02)
	Flags: bus master, medium devsel, latency 0

00:02.1 IDE interface: Intel Corp. 82371AB/EB/MB PIIX4 IDE (rev 01) (prog-if 80 
[Master])
	Flags: bus master, medium devsel, latency 32
	I/O ports at fff0 [size=16]

00:02.2 USB Controller: Intel Corp. 82371AB/EB/MB PIIX4 USB (rev 01) (prog-if 
00 [UHCI])
	Flags: bus master, medium devsel, latency 48, IRQ 10
	I/O ports at ff00 [size=32]

00:02.3 Bridge: Intel Corp. 82371AB/EB/MB PIIX4 ACPI (rev 02)
	Flags: medium devsel, IRQ 9

00:03.0 Ethernet controller: Intel Corp. 82557/8/9 [Ethernet Pro 100] (rev 05)
	Subsystem: IBM: Unknown device 00d7
	Flags: bus master, medium devsel, latency 64, IRQ 10
	Memory at f3eff000 (32-bit, prefetchable) [size=4K]
	I/O ports at 7c60 [size=32]
	Memory at f3f00000 (32-bit, non-prefetchable) [size=1M]
	Capabilities: [dc] Power Management version 1

01:01.0 VGA compatible controller: S3 Inc. Trio 64 3D (rev 01) (prog-if 00 
[VGA])
	Subsystem: IBM Integrated Trio3D
	Flags: bus master, medium devsel, latency 32, IRQ 9
	Memory at f4000000 (32-bit, non-prefetchable) [size=64M]
	Expansion ROM at 000c0000 [disabled] [size=64K]
	Capabilities: [44] Power Management version 1 
Comment 3 Bill Nottingham 2003-08-04 22:56:14 EDT
And the contents of /proc/isapnp?
Comment 6 IBM Bug Proxy 2003-09-09 14:17:14 EDT
------ Additional Comments From snidersd@us.ibm.com  2003-09-09 14:15 -------
Card 1 'CSCe825:Crystal Audio' PnP version 1.0 Product
version 0.1
  Logical device 0 'CSC0100:WSS/SB'
    Device is not active
    Resources 0
      Priority preferred
      Port 0x534-0x534, align 0x3, size 0x4, 16-bit
address decoding
      Port 0x388-0x388, align 0x7, size 0x4, 16-bit
address decoding
      Port 0x220-0x220, align 0x1f, size 0x10, 16-bit
address decoding
      IRQ 5 High-Edge
      DMA 1 8-bit byte-count compatible
      DMA 0,3 8-bit byte-count compatible
      Alternate resources 0:1
        Priority acceptable
        Port 0x534-0xffc, align 0x3, size 0x4, 16-bit
address decoding
        Port 0x388-0x388, align 0x7, size 0x4, 16-bit
address decoding
        Port 0x220-0x260, align 0x1f, size 0x10,
16-bit address decoding
        IRQ 5,7,2/9,11,12,15 High-Edge
        DMA 1,3 8-bit byte-count compatible
        DMA 0,1,3 8-bit byte-count compatible
      Alternate resources 0:2
        Priority functional
        Port 0x534-0xffc, align 0x3, size 0x4, 16-bit
address decoding
        Port 0x388-0x3f8, align 0x7, size 0x4, 16-bit
address decoding
        Port 0x220-0x300, align 0x1f, size 0x10,
16-bit address decoding
        IRQ 5,7,2/9,11,12,15 High-Edge
        DMA 0,1,3 8-bit byte-count compatible
  Logical device 1 'CSC010f:Disabled'
    Device is not active
  Logical device 2 'CSC0110:CTRL'
    Device is not active
    Resources 0
      Priority preferred
      Port 0x120-0xfe0, align 0x7, size 0x8, 16-bit
address decoding
Card 2 'IBM1080:IBM Turbo 16/4 Token-Ring ISA Adapter'
PnP version 1.0 Product version 0.1
  Logical device 0 'IBM0000:IBM Turbo 16/4 Token-Ring
ISA Adapter'
    Supported registers 0x3
    Device is not active
    Active port 0xa20,0x2f7
    Active IRQ 11 [0x2]
    Active memory 0xc8002ff,0xd000200
    Resources 0
      Priority preferred
      Port 0xa20-0xa20, align 0x3, size 0x4, 16-bit
address decoding
      Alternate resources 0:1
        Priority acceptable
        Port 0xa24-0xa24, align 0x3, size 0x4, 16-bit
address decoding
    Resources 1
      Priority preferred
      IRQ 3,2/9,10,11 High-Edge
      Memory 0xc0000-0xdc000, align 0x4000, size
0x2000, writeable, 16-bit
      Memory 0xc8000-0xde000, align 0x2000, size
0x2000, writeable, expansion ROM, 16-bit 
Comment 7 Bill Nottingham 2003-09-09 15:12:31 EDT
That doesn't appear to be in the driver's PnP table.
Comment 8 Arjan van de Ven 2003-09-09 15:13:54 EDT
this is a ISA device? eek
Comment 9 IBM Bug Proxy 2003-09-26 15:07:00 EDT
------ Additional Comments From greg_kelleher@us.ibm.com  2003-26-09 15:02 -------
In the absence of a good response from RH

please try with RHEL 3 RC 1 ...due out later today on the IBM FTP site

Has the severity of this issue changed Is this a blocking bug ? 
Comment 10 Tim Burke 2003-10-02 22:31:03 EDT
This is not a blocking bug.  In fact, it is an oversight that this driver is not
currently in the -unsupported package.  The installer doesn't even have the
hooks to configure it.

In a later update, we will probably move this into the -unsupported package to
avoid further confusion.

Rather than closing this bugzilla as wontfix, I'm leaving it open for tracking
until the update when its moved into -unsupported.
Comment 11 Jeffrey Moyer 2003-10-15 13:13:03 EDT
The driver has been moved to the unsupported list (along with other isa pnp
drivers).  This is queued for an update release.
Comment 12 IBM Bug Proxy 2003-10-15 20:50:28 EDT
------ Additional Comments From khoa@us.ibm.com  2003-15-10 20:06 -------
Driver has been moved to the -unsupported list -> FixedAwaitingTest. 
Comment 13 Jeffrey Moyer 2003-11-26 13:23:06 EST
The drivers have been removed from the unsupported list, as we don't
wish to break installations which happen to be using them currently. 
However, that is not to say that they will be supported by our
installer, as this is not practical.
Comment 14 IBM Bug Proxy 2005-03-27 13:12:08 EST
changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|FIXEDAWAITINGTEST           |ACCEPTED




------- Additional Comments From khoa@us.ibm.com  2005-03-27 13:10 EST -------
Sharon - can we close this bug report now ?  Is this still an issue on the
latest RHEL3 U4 ? 

Note You need to log in before you can comment on or make changes to this bug.